
Foreman - Bug #23918

Unable to associate organization with location (regression 1.18)

06/13/2018 01:13 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 1.18.0

Triaged: No Found in Releases: 1.18.0-RC1

Bugzilla link: 1597042 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5768,

https://github.com/theforeman/foreman/p

ull/5812,

https://github.com/theforeman/foreman/p

ull/5816

  

Description

Hey folks, 1.18 RC1 here, this was working previously in 1.16 and perhaps 1.17:

[root@foreman ~]# hammer location list

---|-------|-------|------------

ID | TITLE | NAME  | DESCRIPTION

---|-------|-------|------------

2  | MyLoc | MyLoc |            

---|-------|-------|------------

[root@foreman ~]# hammer organization list

---|-------|-------|------------

ID | TITLE | NAME  | DESCRIPTION

---|-------|-------|------------

1  | MyOrg | MyOrg |            

---|-------|-------|------------

[root@foreman ~]# hammer location add-organization --name MyLoc --organization MyOrg

Could not associate the organization:

  Resource location not found by id '2'

 What I want to do is to associate Org with Loc.

Associated revisions

Revision 3ab56604 - 07/10/2018 02:54 PM - Ondřej Pražák

Fixes #23918 - Find correct scope when updating taxonomy

History

#1 - 06/14/2018 08:48 AM - Tomáš Strachota

It needs further investigation but it seems to be an API problem.

Hammer correctly finds the location by name and sends the id in url:

[ INFO 2018-06-14T10:22:47 API] Server: https://centos7-devel.example.com/

[ INFO 2018-06-14T10:22:47 API] PUT /api/locations/6

[DEBUG 2018-06-14T10:22:47 API] Params: {

    "organization_id" => 3,

           "location" => {

        "organization_ids" => [

            [0] "3" 

        ]

    }

}
[DEBUG 2018-06-14T10:22:47 API] Headers: {}

[DEBUG 2018-06-14T10:22:47 API] Using authenticator: HammerCLIForeman::Api::SessionAuthenticatorWrapper

[ERROR 2018-06-14T10:22:47 API] 404 Not Found

[DEBUG 2018-06-14T10:22:47 API] {

    "error" => {

        "message" => "Resource location not found by id '6'" 

    }

}

[DEBUG 2018-06-14T10:22:47 Exception] Using exception handler HammerCLIForeman::ExceptionHandler#handle_not_fo

und

[ERROR 2018-06-14T10:22:47 Exception] Resource location not found by id '6'

Could not associate the organization:

  Resource location not found by id '6'

 But on server side the resource is not found, because the resource_scope is []. It might be related to recent changes in taxonomy scoping.

hammer location info --id 6 works normally.

#2 - 07/04/2018 07:26 AM - Ondřej Pražák

- Assignee set to Ondřej Pražák

- Triaged set to No

#3 - 07/04/2018 08:42 AM - Ondřej Pražák

- Project changed from Hammer CLI to Foreman

- Category deleted (Organizations and locations)

#4 - 07/05/2018 02:26 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5768 added

#5 - 07/10/2018 02:32 PM - Daniel Lobato Garcia

- Bugzilla link set to 1597042

#6 - 07/10/2018 02:55 PM - Daniel Lobato Garcia

- Fixed in Releases 1.18.0 added

#7 - 07/10/2018 03:01 PM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3ab566045498d9e333ee8e3172b881231df4c842.

#8 - 07/10/2018 03:03 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5812 added

#9 - 07/11/2018 06:17 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5816 added
